std::__profile::bitset< _Nb > Class Template Reference

Inherits bitset< _Nb >.

## Public Member Functions

| bitset (const _Base &__x)
template<typename _CharT >
| bitset (const _CharT *__str, typename std::basic_string< _CharT >::size_type __n=std::basic_string< _CharT >::npos, _CharT __zero=_CharT('0'), _CharT __one=_CharT('1'))
template<class _CharT , class _Traits , class _Alloc >
| bitset (const std::basic_string< _CharT, _Traits, _Alloc > &__str, typename std::basic_string< _CharT, _Traits, _Alloc >::size_type __pos, typename std::basic_string< _CharT, _Traits, _Alloc >::size_type __n, _CharT __zero, _CharT __one=_CharT('1'))
template<typename _CharT , typename _Traits , typename _Alloc >
| bitset (const std::basic_string< _CharT, _Traits, _Alloc > &__str, typename std::basic_string< _CharT, _Traits, _Alloc >::size_type __pos=0, typename std::basic_string< _CharT, _Traits, _Alloc >::size_type __n=(std::basic_string< _CharT, _Traits, _Alloc >::npos))
constexpr | bitset (unsigned long long __val) noexcept
const _Base & | _M_base () const noexcept
_Base & | _M_base () noexcept
bitset< _Nb > & | flip () noexcept
bitset< _Nb > & | flip (size_t __pos)
bool | operator!= (const bitset< _Nb > &__rhs) const noexcept
bitset< _Nb > & | operator&= (const bitset< _Nb > &__rhs) noexcept
bitset< _Nb > | operator<< (size_t __pos) const noexcept
bitset< _Nb > & | operator<<= (size_t __pos) noexcept
bool | operator== (const bitset< _Nb > &__rhs) const noexcept
bitset< _Nb > | operator>> (size_t __pos) const noexcept
bitset< _Nb > & | operator>>= (size_t __pos) noexcept
bitset< _Nb > & | operator^= (const bitset< _Nb > &__rhs) noexcept
bitset< _Nb > & | operator|= (const bitset< _Nb > &__rhs) noexcept
bitset< _Nb > | operator~ () const noexcept
bitset< _Nb > & | reset () noexcept
bitset< _Nb > & | reset (size_t __pos)
bitset< _Nb > & | set () noexcept
bitset< _Nb > & | set (size_t __pos, bool __val=true)

## Detailed Description

### template<size_t _Nb>
class std::__profile::bitset< _Nb >

Class std::bitset wrapper with performance instrumentation, none at the moment.

Definition at line 41 of file profile/bitset.

The documentation for this class was generated from the following file:

- profile/bitset